News:

Want to get involved in developing SMF, then why not lend a hand on our github!

Main Menu

Can't install mods

Started by origon, August 29, 2020, 08:33:51 AM

Previous topic - Next topic

origon

I am trying to install some extensions on my board it's 2.0.17 but i keep geting this error
"You cannot download or install new packages because the Packages directory or one of the files in it are not writable!"

I can't find a way to get out of it, so please some one help.

Antechinus

https://wiki.simplemachines.org/smf/Chmod

You should be able to set the directory permissions in either SMF admin (Administration Centre >> Package Manager >> File Permissions) or in cPanel.
755 is standard for directories.
Sources code: making easy front end changes difficult since 1873 :P

Mods & Themes | Revamped theme for this site | Dark theme for this site | GitHub for n00bz

origon

The chmod should be 777 on my server, and they are all 777

Arantor

The folder itself plus everything inside it?
No good deed goes unpunished / All helpful urges should be circumvented

I have something to say: it's better to burn out than to fade away. There can be only one.

origon

Yes all is chmod 777, the folder and all files

Illori

is there a temp folder in that one? if not create it.

origon

Yes i saw that and made one, then the install got a bit longer, but now i got this error mesage "Error in Package Installation
At least one error was encountered during a test installation of this package. It is strongly recommended that you do not continue with installation unless you know what you are doing, and have made a backup very recently. This error may be caused by a conflict between the package you're trying to install and another package you have already installed, an error in the package, a package which requires another package that you don't have installed yet, or a package designed for another version of SMF. "

If i try to continue the install i get a white empty page and nothing more.


origon

I am trying to install Smf Arcade, and when i have clicked install mod i get a list of what install should do with the files
in bottom of this lit i get this

"    68.    Execute Modification    arcadeinstall2/main.xml    Modification parse error
   69.    Execute Modification    arcadeinstall2/main.xml    Modification parse error
   70.    Execute Code    arcadeinstall/CleanCache.php "

And i am not sure what to do about it.

Antechinus

#9
At a guess, it would be because that mod hasn't been updated since SMF 2.0 RC3. The mod author hasn't been active here for 5 years.

You really should take this to the support thread for that mod: https://www.simplemachines.org/community/index.php?topic=29619.0

It may install if you use version emulation. See: How can I install a mod that doesn't work in my SMF version

Note: Do not try this to install a 1.1.x mod on 2.0.x.
Sources code: making easy front end changes difficult since 1873 :P

Mods & Themes | Revamped theme for this site | Dark theme for this site | GitHub for n00bz

Advertisement: